; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional -- defaults to 15 if omitted)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas.
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /F, a    ;hold fwd while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;               command = ~30
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   You can combine them:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;   It's recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This matches the way most
;   popular fighting games implement their engine.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. Defaults to 15
;   if omitted
;-| AIZbg |-----------------------------------------------------------------

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI51"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,x
time = 0
[Command]
name = "AI52"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,x
time = 0
[Command]
name = "AI53"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI54"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,x
time = 0
[Command]
name = "AI55"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,x
time = 0
[Command]
name = "AI56"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,x
time = 0
[Command]
name = "AI57"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,x
time = 0
[Command]
name = "AI58"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,x
time = 0
[Command]
name = "AI59"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,x
time = 0
[Command]
name = "AI60"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,x
time = 0

;-| Super Motions |--------------------------------------------------------
[Command]
name = "qcbqcb_a+b"
command = ~D, DB, B, D, DB, a+b
time = 25

[Command]
name = "QCF_ab"
command = ~D, DF, F, a+b

[Command]
name = "QCF_c"
command = ~D, DF, F, c

[Command]
name = "qcfqcf_a"
command = ~D, DF, F, D, DF, a
time = 25

[Command]
name = "qcfqcf_b"
command = ~D, DF, F, D, DF, b
time = 25

[Command]
name = "qcfqcf_c"
command = ~D, DF, F, D, DF, c
time = 25

[Command]
name = "qcbqcb_a"
command = ~D, DB, B, D, DB, a
time = 25

[Command]
name = "qcbqcb_b"
command = ~D, DB, B, D, DB, b
time = 25

[Command]
name = "qcbqcb_c"
command = ~D, DB, B, D, DB, c
time = 25

[Command]
name = "REST"
command = ~50c

[Command]
name = "Defense"
command = ~50a

[Command]
name = "Attack"
command = ~50b
;-| Special Motions |------------------------------------------------------
[Command]
name = "QCF_a"
command = ~D, DF, F, a

[Command]
name = "QCF_b"
command = ~D, DF, F, b

[Command]
name = "QCB_a"
command = ~D, DB, B, a

[Command]
name = "QCB_b"
command = ~D, DB, B, b

[Command]
name = "QCB_c"
command = ~D, DB, B, c

[Command]
name = "Roll Taunt"
command = ~D, DF, F, s

[Command]
name = "C_c"
command = ~D, D, c

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"       ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = a+b
time = 1

[Command]
name = "ab"
command = a+b
time = 1


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "downfwd_a"
command = /DF,a
time = 1

[Command]
name = "downfwd_b"
command = /DF,b
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_ab"
command = /F, a+b
time = 1

[Command]
name = "back_ab"
command = /B, a+b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_s"
command = /s
time = 1


;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1
;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1]                  ;Don't change this
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;===========================================================================
;SUPERWAZA CC;LVL 3 - DESPERATION ANCIENT JIGGLY SUMMONED
[State -1]
type = Changestate
value = 4000
triggerall = Var(59) = 0
trigger1 = command = "x"
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = power = 3000
triggerall = life <= 200
trigger2 = command = "qcbqcb_c"
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Superwaza A: INSTANT CUTE SONG, LEVEL 3
[State -1]
type = ChangeState
value = 3666
triggerall = Var(59) = 0
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = command = "qcbqcb_c"
trigger2 = statetype = S
trigger2 = ctrl = 1
trigger2 = command = "x"

;-------------------------------------------------------
;Superwaza A: MURDER CHAIN SONG, LEVEL 2
[State -1]
type = ChangeState
value = 3101
triggerall = Var(59) = 0
triggerall = power >= 2000
trigger1 = ctrl = 1
trigger1 = command = "x"
trigger1 = statetype = S
trigger2 = statetype = S
trigger2 = ctrl = 1
trigger2 = command = "qcbqcb_b"
trigger3 = ctrl = 1
trigger3 = command = "x"
trigger3 = statetype = A
trigger4 = statetype = A
trigger4 = ctrl = 1
trigger4 = command = "qcbqcb_b"
;--------------------------------------------------------
;Superwaza A: JIGGLYPUFF SONG, THE RAGE OF THE SAMURAI WAY, LEVEL 1
[State -1]
type = ChangeState
value = 3300
triggerall = Var(59) = 0
triggerall = power >= 1000
trigger1 = ctrl = 1
trigger1 = command = "x"
trigger1 = statetype = S
trigger2 = statetype = S
trigger2 = ctrl = 1
trigger2 = command = "qcbqcb_a"
;===========================================================================
;SUPERWAZA B; RESTING
[State -1]
type = ChangeState
value = 3400
triggerall = Var(59) = 0
trigger1 = power >= 1000
trigger1 = Life <= 900
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = command = "REST"
;===========================================================================
;SUPERWAZA BB; DEFENSIVE CURL #2
[State -1]
type = Varset
v = 13
value = 1
triggerall = Var(59) = 0
trigger1 = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = command = "Defense"
;===========================================================================
;SUPERWAZA BB; JIGGLYPUFF ANGER
[State -1]
type = Varset
v = 13
value = 2
triggerall = Var(59) = 0
trigger1 = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = command = "Attack"
;=============================================================
;SUPERWAZA C;LVL 3 - DESPERATION THE ANGRY OF WIGGLYTUFF
[State -1]
type = ChangeState
value = 3903
triggerall = Var(59) = 0
triggerall = power >= 3000
triggerall = life <= 200
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "y"
trigger2 = command = "qcfqcf_c"
trigger3 = command = "qcfqcf_b"
trigger4 = command = "qcfqcf_a"
;===========================================================================
;SUPERWAZA B;LVL 3 - THE ANGRY OF JIGGLYPUFF
[State -1]
type = ChangeState
value = 3902
triggerall = Var(59) = 0
triggerall = power >= 3000
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "y"
trigger2 = command = "qcfqcf_c"
;===========================================================================
;SUPERWAZA C;LVL 2 - THE ANGRY OF JIGGLYPUFF
[State -1]
type = ChangeState
value = 3901
triggerall = Var(59) = 0
triggerall = power >= 2000
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "y"
trigger2 = command = "qcfqcf_b"
;===========================================================================
;SUPERWAZA C;LVL 1 - THE ANGRY OF JIGGLYPUFF
[State -1]
type = ChangeState
value = 3900
triggerall = Var(59) = 0
triggerall = power >= 1000
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "y"
trigger2 = command = "qcfqcf_a"
;===========================================================================
;---------------------------------------------------------------------------
;WazaA_a (Doubleslap)
[State -1]
type = ChangeState
value = 1000
triggerall = Var(59) = 0
triggerall = command = "QCF_a"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = [200, 600]
trigger2 = movecontact = 1
trigger2 = statetype != A
;---------------------------------------------------------------------------
;WazaA_b (Doubleslap)
[State -1]
type = ChangeState
value = 1010
triggerall = Var(59) = 0
triggerall = command = "QCF_b"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = [200, 600]
trigger2 = movecontact = 1
trigger2 = statetype != A
;---------------------------------------------------------------------------
;WazaA_c (Doubleslap)
[State -1]
type = ChangeState
value = 1020
triggerall = Var(59) = 0
triggerall = command = "QCF_c"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = [200, 600]
trigger2 = movecontact = 1
trigger2 = statetype != A
;------------------------------------------------------------------------------
;WazaB_a (Bodyslam attack)
[State -1]
type = ChangeState
value = 1200
triggerall = Var(59) = 0
triggerall = command = "QCB_a"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = A
trigger2 = ctrl = 1
trigger3 = stateno = [200, 700]
trigger3 = movecontact = 1
;------------------------------------------------------------------------------
;WazaB_b (Bodyslam attack)
[State -1]
type = ChangeState
value = 1210
triggerall = Var(59) = 0
triggerall = command = "QCB_b"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = A
trigger2 = ctrl = 1
trigger3 = stateno = [200, 700]
trigger3 = movecontact = 1
;------------------------------------------------------------------------------
;WazaB_c (Bodyslam attack)
[State -1]
type = ChangeState
value = 1220
triggerall = Var(59) = 0
triggerall = command = "QCB_c"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = A
trigger2 = ctrl = 1
trigger3 = stateno = [200, 700]
trigger3 = movecontact = 1
;===========================================================================
;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
triggerall = Var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
triggerall = Var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand_Throw
[State -1]
type = ChangeState
value = 300
triggerall = Var(59) = 0
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = stateno != 100    ;Not running
trigger1 = command = "fwd_c"  ;Command
trigger1 = p2bodydist X < 5
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = "back_c" ;Command
trigger2 = p2bodydist X < 5
trigger2 = p2statetype = S
trigger2 = p2movetype != H
trigger3 = command = "back_c" ;Command
trigger3 = p2bodydist X < 5
trigger3 = p2statetype = C
trigger3 = p2movetype != H
trigger4 = command = "fwd_c"  ;Command
trigger4 = p2bodydist X < 5
trigger4 = p2statetype = C
trigger4 = p2movetype != H
;---------------------------------------------------------------------------
;Air_Throw1
[State -1]
type = ChangeState
value = 640
triggerall = Var(59) = 0
triggerall = statetype = A
triggerall = ctrl = 1
triggerall = p2bodydist X < 30
triggerall = p2statetype = A
triggerall = p2movetype != H
trigger1 = command = "fwd_c"  ;Command
trigger2 = command = "back_c"
;---------------------------------------------------------------------------
;Defensive Curl
[State -1]
type = ChangeState
value = 1500
triggerall = Var(59) = 0
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "C_c"
trigger2 = command = "z"
trigger3 = stateno = [100, 170]
trigger3 = command = "z"
trigger4 = stateno = [100, 170]
trigger4 = command = "C_c"
;===========================================================================
;---------------------------------------------------------------------------
;Stand_A
[State -1]
type = ChangeState
value = 200
triggerall = Var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 400
trigger3 = movecontact = 1

;---------------------------------------------------------------------------
;Stand_B
[State -1]
type = ChangeState
value = 210
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1
;------------------------------------------------------------------------------
;Stand_C 
[State -1]
type = ChangeState
value = 214
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 210
trigger3 = movecontact = 1
trigger4 = stateno = [300, 700]
trigger4 = movecontact = 1
trigger2 = statetype != A
trigger5 = stateno = 100
;-----------------------------------------------------------------------------
;--------------------------------------------------------------------------
;SPECIAL TAUNT
[State -1]
type = Changestate
value = 186
triggerall = Var(59) = 0
triggerall = command = "Roll Taunt"
triggerall = ctrl = 1
trigger1 = statetype = S
;---------------------------------------------------------------------------
;TAUNT
[State -1]
type = Changestate
value = 213
triggerall = Var(59) = 0
triggerall = command = "start"
triggerall = ctrl = 1
trigger1 = statetype = S
trigger2 = statetype = C
trigger3 = statetype = A
;-----------------------------------------------------------------------------
;Crouch_A
[State -1]
type = ChangeState
value = 400
triggerall = Var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
;---------------------------------------------------------------------------
;Crouch_B
[State -1]
type = ChangeState
value = 410
triggerall = Var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400 ;crouch_a
trigger2 = movecontact = 1
trigger3 = stateno = 200 ;crouch_fwd_a
trigger3 = movecontact = 1
;---------------------------------------------------------------------------
;Crouch_C
[State -1]
type = ChangeState
value = 420
triggerall = Var(59) = 0
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400 ;crouch_a
trigger2 = movecontact = 1
trigger3 = stateno = 410 ;crouch_fwd_a
trigger3 = movecontact = 1
trigger4 = stateno = [200, 250]
;---------------------------------------------------------------------------
;Jump_A
[State -1]
type = ChangeState
value = 600
triggerall = Var(59) = 0
trigger1 = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = "a"   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = statetime >= 6
;---------------------------------------------------------------------------
;Jump_B
[State -1]
type = ChangeState
value = 610
triggerall = Var(59) = 0
trigger1 = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = "b"   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
;---------------------------------------------------------------------------
;Jump_C
[State -1]
type = ChangeState
value = 620
triggerall = Var(59) = 0
trigger1 = command = "c"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = command = "c"   ;-------
trigger2 = stateno = 600 ;jump_a
trigger2 = movecontact = 1
;-----------------------------------------------------------------
;---------------------------------------------------------------
